#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	RPC
%define		pnam	XML
Summary:	RPC::XML - an implementation of XML-RPC for Perl
Summary(pl.UTF-8):	RPC::XML - implementacja standardu XML-RPC dla Perla
Name:		perl-RPC-XML
Version:	0.76
Release:	2
License:	Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	731aaf588e6bd45b3a9cece8d4223e48
Patch0:		mod_perl2.patch
URL:		http://www.blackperl.com/RPC::XML/
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-libwww
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
BuildArch:	noarch

# these are provided by mod_perl's Apache2::compat
%define		_noautoreq	perl(Apache) perl(Apache::Constants) perl(Apache::File)

%description
The RPC::XML package for Perl is an implementation of the XML-RPC
standard as defined at <http://www.xmlrpc.com/spec/>. It is written in
pure Perl without use or need of C (or XS) linkage. It does (at
present) require the XML::Parser and LWP CPAN modules for operation.
Version 0.60 will switch to XML::LibXML in place of XML::Parser.

%description -l pl.UTF-8
Pakiet RPC::XML jest implementacją standardu XML-RPC zdefiniowanego na
<http://www.xmlrpc.com/spec/>. Jest napisany wyłącznie w Perlu, bez
łączenia z C (ani XS). Aktualnie wymaga do działania modułów
XML::Parser i LWP z CPAN. Wersja 0.60 bedzie u?ywa? XML::LibXML zamiast
XML::Parser.

%package Apache
Summary:	RPC server as an Apache/mod_perl content handler
Summary(pl.UTF-8):	Serwer RPC jako procedura obsługi treści Apache/mod_perl
Group:		Applications/Networking

%description Apache
RPC server as an Apache/mod_perl content handler.

%description Apache -l pl.UTF-8
Serwer RPC jako procedura obsługi treści Apache/mod_perl.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%doc ChangeLog README
%dir %{perl_vendorlib}/RPC
%{perl_vendorlib}/RPC/XML
%{perl_vendorlib}/RPC/XML.pm
%{_mandir}/man3/*
%exclude %{_mandir}/man3/Apache*
%{_mandir}/man1/*

%files Apache
%defattr(644,root,root,755)
%doc README.apache2
%{perl_vendorlib}/Apache/RPC
%{_mandir}/man3/Apache*
%changelog
* Mon Jul 16 2012 Jan Rękorajski <baggins@pld-linux.org> b1a15a1
Use Apache2::compat for mod_perl support
Release 2

* Mon Jan 23 2012 zbyniu <zbyniu@pld-linux.org> 9204616
- up to 0.76

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bc446a9
- release 2

* Thu Oct 08 2009 amateja <amateja@pld-linux.org> 4d09b82
- updated to 0.69

* Tue Mar 03 2009 jezik <jezik@pld-linux.org> af0f88f
- 0.64

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 3256e0d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 5e93f59
- converted to UTF-8

* Tue Oct 24 2006 ankry <ankry@pld-linux.org> 424ff0b
- ver. 0.59

* Tue Aug 08 2006 Jakub Bogusz <qboosh@pld-linux.org> 2bb0a62
- typo

* Mon Aug 07 2006 Maciej Pijanka <agaran@pld-linux.org> ff761e2
- up to 0.59, rel 0.2, builds here

* Sun Jan 22 2006 Maciej Pijanka <agaran@pld-linux.org> 2b75032
- up to 0.58, added info about ongoin change around xml::parser, rel=1

* Mon Jan 03 2005 Adam Gołębiowski <adamg@pld-linux.org> 1c648ae
- updated to 0.57

* Sun Dec 12 2004 Adam Gołębiowski <adamg@pld-linux.org> b0e9692
- updated to 0.56

* Wed Dec 01 2004 radek <radek@pld-linux.org> 9a02d6d
- autoupdated to 0.55

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 601793f
- formatting

* Sat Jun 05 2004 radek <radek@pld-linux.org> ded69f1
- massive: unfold macros in name/summary & other unifications

* Sat Jun 05 2004 radek <radek@pld-linux.org> 27fb337
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

* Fri May 07 2004 ankry <ankry@pld-linux.org> 1d71d74
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> d938fae
- fixed perl-devel BR

* Thu Apr 29 2004 ankry <ankry@pld-linux.org> ad97201
- tests added

